Summary: NeXT-alike window manager
Name: WindowMaker
Version: 0.51.2
Release: 2
Group: X11/Window Managers
Copyright: GPL
Url: http://www.windowmaker.org
Packager: Hao Li <hli@wag.caltech.edu>
Source0: ftp://ftp.windowmaker.org/pub/beta/srcs/%{name}-%{version}.tar.bz2
Source1: %{name}-%{version}.DefaultConf
BuildRoot: /var/tmp/%{name}-root
Requires: /lib/cpp

%description
WindowMaker is a window manager designed to emulate the look
and feel of part of the NEXTSTEP(tm) GUI. It's supposed to be fast,
relatively small, feature rich and easy to configure, with
a simple and elegant appearance borrowed from NEXTSTEP(tm).

This package is compiled with GNOME support. NLS support and menus are
totally removed.

%package devel
Summary: WindowMaker libraries
Group: Development/Libraries

%description devel
Window Maker is a window manager designed to emulate the look
and feel of part of the NEXTSTEP(tm) GUI. It's supposed to be fast,
relatively small, feature rich and easy to configure, with
a simple and elegant appearance borrowed from NEXTSTEP(tm).

This package contains static libraries for building Window-Maker-enhanced
applications.


%prep
%setup -q


%build
export CFLAGS=$RPM_OPT_FLAGS
./configure \
	--prefix=/usr \
	--sysconfdir=/etc \
	--with-nlsdir=/usr/share/locale \
	--with-appspath=/usr/share/GNUstep \
	--disable-locale \
	--enable-gnome
make


%install
rm -rf $RPM_BUILD_ROOT
make install-strip DESTDIR=$RPM_BUILD_ROOT

# Fix wrong path of WPrefs
perl -pi -e 's|/usr/local/GNUstep/Apps|/usr/share/GNUstep|' \
	$RPM_BUILD_ROOT/etc/WindowMaker/WMState

# Patch default WindowMaker configurations
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/etc/WindowMaker/WindowMaker
perl -pi -e 's|Omnipresent = Yes;||g' \
	$RPM_BUILD_ROOT/etc/WindowMaker/WMWindowAttributes

# Remove NLS menu files since we have no NLS support anyway
rm -f $RPM_BUILD_ROOT/usr/share/WindowMaker/{menu.*,plmenu.*}
perl -pi -e 's| menu.\*||g'     $RPM_BUILD_ROOT/usr/bin/wmaker.inst 
perl -pi -e 's| plmenu.\?\?||g' $RPM_BUILD_ROOT/usr/bin/wmaker.inst

# Fix permission of shared objects and strip them
chmod 755 $RPM_BUILD_ROOT/usr/lib/lib*.so.*
strip     $RPM_BUILD_ROOT/usr/lib/lib*.so.*

# Collect files for %doc sections below
cp -p WPrefs.app/README README.WPrefs
cp -p util/README README.util

# These are for %doc of devel package
mkdir -p rpm_doc/{WINGs,wmlib,wrlib}
cp -p WINGs/{ChangeLog,README,TODO} rpm_doc/WINGs
cp -p wmlib/COPYING.LIB rpm_doc/wmlib
cp -p wrlib/{AUTHORS,COPYING,ChangeLog,INSTALL,NEWS,README,TODO} rpm_doc/wrlib


%files
%defattr(-,root,root)
%doc AUTHORS BUGFORM BUGS COPYING COPYING.OPL ChangeLog FAQ FAQ.I18N INSTALL
%doc MIRRORS NEWS README README.GNOME README.KDE TODO
%doc README.WPrefs README.util
%dir /etc/WindowMaker
%config /etc/WindowMaker/*
/usr/bin/*
/usr/lib/lib*.so.*
/usr/man/man*/*
/usr/share/GNUstep
/usr/share/WINGs
/usr/share/WindowMaker

%files devel
%defattr(-,root,root)
%doc rpm_doc/*
/usr/include/*
/usr/lib/lib*.a
/usr/lib/lib*.la
/usr/lib/lib*.so


%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Fri Mar 12 1999 Hao Li <hli@wag.caltech.edu>
- WindowMaker-0.51.2-2. Customized Defaults.

* Fri Mar 12 1999 Hao Li <hli@wag.caltech.edu>
- WindowMaker-0.51.2-1. Distibuted version with original Defaults.

* Thu Jan 28 1999 Hao Li <hli@wag.caltech.edu>
- WindowMaker-0.51.0-2.
- /usr/share/WindowMaker/Defaults/{WMWindowAttributes,WindowMaker}
  are customized.

* Thu Jan 28 1999 Hao Li <hli@wag.caltech.edu>
- Upgraded to WindowMaker-0.51.0-1, with following changes:
- libPropList is now independent and not distrubuted with WindowMaker.
- Used DESTDIR which greatly simplified the spec file.
- Removed KDE support. KDE is Windows(tm) clone so boycott KDE !!!

* Fri Jan 15 1999 Hao Li <hli@wag.caltech.edu>
- Upgraded to WindowMaker-0.50.2-3, with following changes:
- Removed menu.* and plmenu.* in /usr/share/WindowMaker since I've decided
  on no NLS support anyway.
- Patched /usr/share/WindowMaker/Defaults/{WMWindowAttributes,WindowMaker}
  so that no manual patch on each machine is necessary.

* Wed Jan 13 1999 Hao Li <hli@wag.caltech.edu>
- Upgraded to WindowMaker-0.50.2-2, with following changes:
- exported CFLAGS in %build so it is passed to recursively
  called configure scripts.
- Enabled GNOME and KDE support.

* Mon Jan 11 1999 Hao Li <hli@wag.caltech.edu>
- Upgraded to WindowMaker-0.50.2-1. Patch no longer needed.
- libtool-1.2 is needed to build this package.
- libtool-1.2b-1.noarch.rpm from Redhat 5.2 doesn't work.

* Fri Jan  8 1999 Hao Li <hli@wag.caltech.edu>
- Added WindowMaker-0.50.0.patch to fix the right-click appicon bug.

* Thu Jan  7 1999 Hao Li <hli@wag.caltech.edu>
- Upgraded to WindowMaker-0.50.0-1
- Reorganized %doc section of both WindowMaker and WindowMaker-devel.

* Tue Dec 22 1998 Hao Li <hli@wag.caltech.edu>
- Rebuilt 0.20.3 with libungif-4.0-1, hence WindowMaker 0.20.3-2

* Mon Dec  7 1998 Hao Li <hli@wag.caltech.edu>
- Locale support is dropped in 20.3 because support for ko (Korean) breaks.
  To bring it back refer to the spec file of 20.2. This will involve changes
  in %build, %install and %files sections.
